Skip to main content
GET
/
api
/
governance
/
virtual-keys
Error
A valid request URL is required to generate request examples
{
  "virtual_keys": [
    {
      "id": "<string>",
      "name": "<string>",
      "value": "<string>",
      "description": "<string>",
      "is_active": true,
      "provider_configs": [
        {
          "id": 123,
          "virtual_key_id": "<string>",
          "provider": "<string>",
          "weight": 123,
          "allowed_models": [
            "<string>"
          ],
          "budget_id": "<string>",
          "rate_limit_id": "<string>",
          "budget": {
            "id": "<string>",
            "max_limit": 123,
            "reset_duration": "<string>",
            "calendar_aligned": false,
            "last_reset": "2023-11-07T05:31:56Z",
            "current_usage": 123,
            "config_hash": "<string>",
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z"
          },
          "rate_limit": {
            "id": "<string>",
            "token_max_limit": 123,
            "token_reset_duration": "<string>",
            "token_current_usage": 123,
            "token_last_reset": "2023-11-07T05:31:56Z",
            "request_max_limit": 123,
            "request_reset_duration": "<string>",
            "request_current_usage": 123,
            "request_last_reset": "2023-11-07T05:31:56Z",
            "config_hash": "<string>",
            "created_at": "2023-11-07T05:31:56Z",
            "updated_at": "2023-11-07T05:31:56Z"
          },
          "keys": [
            {
              "id": 123,
              "name": "<string>",
              "provider_id": 123,
              "provider": "<string>",
              "key_id": "<string>",
              "value": {
                "value": "<string>",
                "env_var": "<string>",
                "from_env": true
              },
              "models": [
                "<string>"
              ],
              "weight": 123,
              "enabled": true,
              "use_for_batch_api": false,
              "created_at": "2023-11-07T05:31:56Z",
              "updated_at": "2023-11-07T05:31:56Z",
              "config_hash": "<string>",
              "azure_endpoint": {
                "value": "<string>",
                "env_var": "<string>",
                "from_env": true
              },
              "azure_api_version": {
                "value": "<string>",
                "env_var": "<string>",
                "from_env": true
              },
              "azure_client_id": {
                "value": "<string>",
                "env_var": "<string>",
                "from_env": true
              },
              "azure_client_secret": {
                "value": "<string>",
                "env_var": "<string>",
                "from_env": true
              },
              "azure_tenant_id": {
                "value": "<string>",
                "env_var": "<string>",
                "from_env": true
              },
              "vertex_project_id": {
                "value": "<string>",
                "env_var": "<string>",
                "from_env": true
              },
              "vertex_project_number": {
                "value": "<string>",
                "env_var": "<string>",
                "from_env": true
              },
              "vertex_region": {
                "value": "<string>",
                "env_var": "<string>",
                "from_env": true
              },
              "vertex_auth_credentials": {
                "value": "<string>",
                "env_var": "<string>",
                "from_env": true
              },
              "bedrock_access_key": {
                "value": "<string>",
                "env_var": "<string>",
                "from_env": true
              },
              "bedrock_secret_key": {
                "value": "<string>",
                "env_var": "<string>",
                "from_env": true
              },
              "bedrock_session_token": {
                "value": "<string>",
                "env_var": "<string>",
                "from_env": true
              },
              "bedrock_region": {
                "value": "<string>",
                "env_var": "<string>",
                "from_env": true
              },
              "bedrock_arn": {
                "value": "<string>",
                "env_var": "<string>",
                "from_env": true
              }
            }
          ]
        }
      ],
      "mcp_configs": [
        {
          "id": 123,
          "mcp_client_name": "<string>",
          "tools_to_execute": [
            "<string>"
          ]
        }
      ]
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Query Parameters

from_memory
boolean
default:false

If true, returns virtual keys from in-memory cache instead of database

Response

Successful response

List virtual keys response

virtual_keys
object[]
count
integer